#ifndef __CONSTANTS__
#define __CONSTANTS__



//============= WORLD SPECIFIC =======================================================
//the different tiles on a cell
#define TILE_FLOOR 0
#define TILE_UP 1
#define TILE_RIGHT 2
#define TILE_LEFT 3
#define TILE_DOWN 4
#define TILE_ROOF 5

//TILE sizes
#define TILE_HEIGHT 0.1
#define TILE_WIDTH 0.1

//size of world in cells
#define WORLD_SIZE 200
//=========================================================================






//=====================TILE DRAWING===============================================
//isometric rendering
#define DRAW_TILE_DOWN 0
#define DRAW_TILE_UP 1
#define DRAW_TILE_LEFT 2
#define DRAW_TILE_RIGHT 3
#define DRAW_TILE_HORIZONTAL 4

//flat rendering
#define DRAW_TILE_FLAT 5
//=========================================================================






//==================== CHARACTERS ==========================================
#define FRIENDLY 1
#define HOSTILE -1
#define NEUTRAL 0
//=========================================================================





//================= MAXIMUMS ==============================================
//maximum number of events at one given time
#define MAXEVENTS 512

//max number of characters (including player) on a map
#define MAXCHARACTERS 256

//max number of objects on a map
#define MAXOBJECTS 1024

//max number of triggers on a map
#define MAXTRIGGERS 128
//=========================================================================


#endif