#ifndef __TICKER__
#define __TICKER__

/*
	Ticker is an in-game clock that "ticks" <fps> times per second.
	NOTE: Setting <fps> too high will cause Ticker to throttle.
*/

class Ticker
{

public:
	
	//frames=how many ticks per second
	Ticker(double frames);

private:

	double fps;
	double interval;
	unsigned long count;

	double last;

	double lastelapsed;
	double currentelapsed;
	double lastfpsreturned;

public:

	//right after initialization, start must be called
	void start(double frames);

	//called at beginning of each frame
	void update();
	
	//returns current number of ticks
	unsigned long get();

	//return current frames per second
	double framespersecond();

};

#endif