#ifndef __CHAR_H__
#define __CHAR_H__


struct character
{
	double realX, realY;

	//coords in the cell matrix
	int worldRow, worldCol;

	/*
		contains indices of textures in main texture array
		animation[0] = walking towards East
		animation[1] = walking towards NorthEast
		animation[2] = walking towards North
		animation[3] = walking towards NorthWest
		animation[4] = walking towards West
		animation[5] = walking towards SouthWest
		animation[6] = walking towards South
		animation[7] = walking towards SouthEast

		animation[8 to 15] = like above directions, but attacking

		animation[16] = being hit animation (hit recovery)
		animation[17] = death animation
	*/
	int animation[18];

	//number of frames in each of the above animations
	int framecount[18];

	//zoom is used when character is rendered
	//larger zoom = larger character
	double zoom;

	//texture coordinates to be displayed
	double framebegin, frameend;

	//last animation used (needed for display when char not moving)
	//this is the index inside <animation>
	int lastanimation;

	//radius of 'awareness'. AKA 'aggro radius'
	int aggro;

	//alignment -> can be HOSTILE, FRIENDLY, NEUTRAL
	int alignment;

	//attack radius
	int radius;

	int alive;

	//character's life
	int life;
	//character's damage
	int damage;
	//attack speed
	float attackspeed;
	//movement speed in units per frame
	float speed;
	//how long it takes the character to recover from a hit
	float recoveryspeed;


};


#endif